Bug 1573907 - Backport docker plugin from upstream sos
Summary: Backport docker plugin from upstream sos
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sos
Version: 7.5
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Pavel Moravec
QA Contact: Miroslav Hradílek
URL:
Whiteboard:
Depends On:
Blocks: 1580526
TreeView+ depends on / blocked
 
Reported: 2018-05-02 13:37 UTC by Jake Hunsaker
Modified: 2018-10-30 10:33 UTC (History)
7 users (show)

Fixed In Version: sos-3.5-8.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1580526 (view as bug list)
Environment:
Last Closed: 2018-10-30 10:31:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:3144 0 None None None 2018-10-30 10:33:12 UTC

Description Jake Hunsaker 2018-05-02 13:37:52 UTC
The docker plugin in the current version of sos for RHEL 7.5 is missing a few very important merges from upstream:

https://github.com/sosreport/sos/commit/5f67a7f6cd532a4dea57a0c8ece51f1734ed8cbe#diff-2f00a07bb807d7d02ad231c73dfd16e6

https://github.com/sosreport/sos/commit/9fc6eb234682ce695c2b1b1608f755928d441585#diff-2f00a07bb807d7d02ad231c73dfd16e6

https://github.com/sosreport/sos/commit/15d7237527fe26da95070b48e7aafd0597dc245f#diff-2f00a07bb807d7d02ad231c73dfd16e6

Without these patches, CEE must ask customers to do additional collection for many issues which extends the time until they can get a resolution.

CEE is requesting that these patches be backported to sos for 7.5.2, and we (rather, I) can do QE on these patches.

Comment 3 Pavel Moravec 2018-05-03 08:18:16 UTC
devel_ack+ for 7.6 (and also for 7.5.z) as the backports are trivial and the code change will appear in 7.6 due to sos rebase either way.

GSSApproved the z-stream request to simplify CEE work and speedup investigation of docker issues (and also due to the fact we will do 7.5.2 either way).

Comment 8 errata-xmlrpc 2018-10-30 10:31:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:3144


Note You need to log in before you can comment on or make changes to this bug.